Test.QuickCheck.Property

# Property and Testable types

data Property

class Testable prop

data Discard

morallyDubiousIOProperty

ioProperty

## Exception handling

protect

## Type Prop

data Prop

## type Rose

data Rose a

ioRose

joinRose

reduceRose

onRose

protectRose

protectResults

## Result type

data Callback

data CallbackKind

data Result

exception

formatException

protectResult

succeeded

failed

rejected

## Lifting and mapping functions

liftBool

mapResult

mapTotalResult

mapRoseResult

mapProp

## Property combinators

mapSize

shrinking

noShrinking

callback

counterexample

printTestCase

whenFail

whenFail'

verbose

expectFailure

once

label

collect

classify

cover

(==>)

within

forAll

forAllShrink

(.&.)

(.&&.)

conjoin

(.||.)

disjoin

(===)